<?php
/** Smiley + Formatting specific code. This will eventually be database driven, but for now, hard coding will do **/

  $ForumTable .= "<script language=\"JavaScript\" src=\"modules/".uieforum_get_module_name()."/js/new_post_scripts.js\"></script>";

  $uie_rows = array();
  if(variable_get('uieforum_use_bbcode', 1))
  {
    $fff_rows = uieforum_get_formatting_icons();
    $formatting_table = theme('table', null, $fff_rows, array('class' => 'forum'));

    if(variable_get('uieforum_use_smilies', 1))
      $uie_rows[] = array(
        array('data' => null),
        array('data' => $formatting_table)
      );
    else
      $uie_rows[] = array(
        array('data' => $formatting_table)
      );
  }

/** Text input areas **/

  if($editpost)
  {
    $uieforum_form['EditReason'] = array(
      '#type' => 'textfield',
      '#title' => t('Reason for editing'),
      '#default_value' => uieforum_get_edit_reason(),
      '#size' => 80,
      '#maxlength' => 128,
      '#description' => t('Reason for editing.'),
      '#attributes' => NULL,
      '#required' => FALSE,
    );
  }

  $uieforum_form['PostTitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#default_value' => uieforum_get_post_title(),
    '#size' => 75,
    '#maxlength' => 128,
    '#description' => t('Title to be used.'),
    '#attributes' => NULL,
    '#required' => uie_id('ThreadID') ? FALSE : TRUE,
  );
  $uieforum_form['PostText'] = array(
    '#type' => 'textarea',
    '#title' => t('Post'),
    '#default_value' => uieforum_get_post_text(),
    '#cols' => 60,
    '#rows' => 15,
    '#description' => t('Enter your new post here.'),
    '#attributes' => NULL,
    '#required' => TRUE,
  );

  $uieforum_form['PreviewPost'] = array(
    '#type' => 'submit',
    '#value' => t('Preview'),
    '#name' => t('PreviewPost'),
    '#attributes' => array('accesskey' => 'p'),
  );

  $uieforum_form['NewPost'] = array(
    '#type' => 'submit',
    '#value' => t('Submit'),
    '#name' => t('NewPost'),
    '#attributes' => array('accesskey' => 's'),
  );

  $uieforum_form['UIE_FORUM_FORM'] = array(
    '#type' => 'hidden',
    '#value' => 1,
  );

  if($editpost)
  {
    $uieforum_form['UIE_FORUM_EDIT_POST'] = array(
      '#type' => 'hidden',
      '#value' => 1,
    );
  }

  $uieforum_form['fid'] = array(
    '#type' => 'hidden',
    '#value' => uie_id('fid'),
  );

  if(uie_id('ThreadID'))
  {
    $uieforum_form['ThreadID'] = array(
      '#type' => 'hidden',
      '#value' => uie_id('ThreadID'),
    );
  }
  if(uie_id('PostID'))
  {
    $uieforum_form['PostID'] = array(
      '#type' => 'hidden',
      '#value' => uie_id('PostID'),
    );
  }


/** Smiley + Formatting specific code. This will eventually be database driven, but for now, hard coding will do **/
  if(variable_get('uieforum_use_smilies', 1))
  {
    $smiley_rows = array();
    $SmilieSamples = uieforum_get_smiley_samples();
    $smilies_array = uieforum_get_smiley_list();
    foreach ($SmilieSamples as $SmilieSample)
    {
      $tt_cols = array();

      foreach ($SmilieSample as $Smilie)
        $tt_cols[] = '<a href=javascript:Process(\''.$smilies_array[$Smilie][0].'\')>'.$smilies_array[$Smilie][2].'</a>';
//        $tt_cols[] = l($smilies_array[$Smilie][2], "javascript:Process('".$smilies_array[$Smilie][0]."')", null,  null, null, null, true);
      $smiley_rows[] = $tt_cols;
    }
  }

/** Generate actual table **/
  if($_POST['PreviewPost'] && !form_get_errors())
  {
    $form = drupal_validate_form('unreal', $uieforum_form);
    $_POST['edit'] = NULL;
    $form = drupal_get_form('unreal', $uieforum_form);
  }
  else
  {
    $form = drupal_get_form('unreal', $uieforum_form);
  }

  if(variable_get('uieforum_use_smilies', 1))
  {
    $uieforum_form['#method'] = 'post';
    $uieforum_form['#action'] = null;
    $uieforum_form['#attributes'] = array('name' => 'unreal');

    $uie_rows[] = array(
      array('data' => theme('table', null, $smiley_rows), 'style' => 'vertical-align: top;'),
      array('data' => $form, 'style' => 'vertical-align: top;')
    );
  }
  else
  {
    $uieforum_form['#method'] = 'post';
    $uieforum_form['#action'] = null;
    $uieforum_form['#attributes'] = array('name' => 'unreal');

    $uie_rows[] = array(
      array('data' => $form)
    );
  }

  $ForumTable .= theme('table', null, $uie_rows);
