<?php
  $allowGuestReport = variable_get('forum_report_post_guest_allow', 0);

  if(!$allowGuestReport && (!$user || !$user->uid))
  {
    drupal_access_denied();
    die();
  }

  $post_header = $post_footer = array(
    array('data' => '', 'colspan' => '1', 'class' => 'created', 'style' => 'font-weight: bold; text-align: center')
  );
  $post_content = array(
    array('data' => '', 'colspan' => '1', 'class' => 'post_text', 'style' => 'vertical-align: middle; text-align: center')
  );

  $post_header [0]['data'] = t('Report Post');

  $returnToForum = '<br /><br />'.l(t('Click here to return to the parent forum.'), uieforum_get_module_menu_name(), null, 'fid='.uie_id('fid'));

  if($_POST['confirmed'])
  {
    $reportEmail = variable_get('forum_report_post_email', '');
    if($reportEmail)
    {
      $subject = t('** Unreal.IE Forum Post Reported - '.uie_id('PostID'));
//echo "<pre>";
      $userby = user_load(array('uid'=>$CurrentPost->Poster));
      $message  = $user->name . " has reported a post.\n\n";
      $message .= "Posted By: ".$userby->name."\n";
      $message .= "Posted Time: ".$CurrentPost->Posted."\n";
      $message .= "PostID: ".$CurrentPost->PostID."\n";
      $message .= "ThreadID: ".l($CurrentPost->ThreadID, uieforum_get_module_menu_name(), null, "c=showthread&ThreadID=".$CurrentPost->ThreadID."#".$CurrentPost->PostID, null, null, true, true)."\n";
      $message .= "Message Content Follows:\n\n".$CurrentPost->Content;
//echo $message;
//die();

      $header  = "From: ".$user->name." <".$user->mail.">\n";
//      $header .= "Cc: thing@thing.com\n";
      user_mail($reportEmail, $subject, $message, $header);
  
      $post_content[0]['data'] = variable_get('forum_report_post_msg', t('Post reported.<br/><br/>Thank you.')) . $returnToForum;
    }
    else
    {
      $post_content[0]['data'] = t('Please contact a site administrator<br />No email address has been configured for the report-post function.').$returnToForum;
    }
  }
  else
  {
//    $sure  = form_submit(t('Yes'), 'confirmed');
    $post_content[0]['data']  = t('Are you sure?');
//    $post_content[0]['data'] .= form($sure, 'post', null, array('name' => 'unreal'));

    $sure['confirmed'] = array(
      '#type' => 'submit',
      '#value' => t('Yes'),
    );
    $sure['#method'] = 'post';
    $sure['#action'] = null;
    $sure['#attributes'] = array('name' => 'unreal');
    $post_content[0]['data'] .= drupal_get_form('unreal', $sure);

    $post_content[0]['data'] .= $returnToForum;
  }
  $post_footer [0]['data'] = '&nbsp;';

  $ForumTable .= "<center><div class=\"post-container\" style=\"width: 50%\">".theme('table', null, array($post_header, $post_content, $post_footer), array('id' => 'forum'))."</div></center>";
